<?	// Preamble
	$pageName = "Documentation";
	$focused = "none";					// Dock icon name to gets a border
	$currPage = "docs";					// Name of the page, for the menu
	require("parts/preamble.php");		// Load most of document
?>

<?
	function doc_list ($title, $list, $type)
	{
		tableBoxHeader (featureBgColor, featureHeadColor);
		tableTitle ($title, 1, featureHeadColor);
		?><TD align="center"><?
			tableHeader("100%", featureBgColor);
			?><TR vAlign="top">
				<TD>
					<UL><?

						reset ($list);
						while (list (, $cdl) = each ($list)) {
							if (is_file ('doc/' . $cdl . '-' . $type . '.txt')) {
								echo '<LI>';
								echo '<A href="' . $type . '.php?program='
									 . $cdl . '">' . $cdl . '</A>';
								echo '</LI>';
							}
						}

					?></UL>
				</TD>
			</TR><?
			tableFooter ();
		?></TD><?
		tableBoxFooter ();
	}

	function program_doc_list ($title, $list, $notes)
	{
		tableBoxHeader (featureBgColor, featureHeadColor);
		tableTitle ($title, 1, featureHeadColor);
		?><TD align="left"><?
			if (is_file ('doc/' . $notes . '-notes' . '.txt')) {
				$lines = file ('doc/' . $notes . '-notes' . '.txt');
				reset ($lines);
				while (list (, $line) = each ($lines)) {
					print $line;
				}
			}
			tableHeader("100%", featureBgColor);
			?><TR vAlign="top">
				<TD align="left" vAlign="top" width="50%"><?
					doc_list ("cvar documentation", $list, "cvar");
				?></TD>
				<TD align="left" vAlign="top" width="50%"><?
					doc_list ("command documentation", $list, "cmd");
				?></TD>
			</TR><?
			tableFooter ();
		?></TD><?
		tableBoxFooter ();
	}
?>

<TABLE width="100%" cellSpacing="2" cellPadding="0" border="0">
	<TR vAlign="top">
		<TD><?
			$program_list = array (
				"nq-3dfx",
				"nq-ggi",
				"nq-glx",
				"nq-mgl",
				"nq-sdl",
				"nq-sdl32",
				"nq-sgl",
				"nq-svga",
				"nq-wgl",
				"nq-x11",
				"nq-server",
				"qw-client-3dfx",
				"qw-client-ggi",
				"qw-client-glx",
				"qw-client-mgl",
				"qw-client-sdl",
				"qw-client-sdl32",
				"qw-client-sgl",
				"qw-client-svga",
				"qw-client-wgl",
				"qw-client-x11",
				"qw-master",
				"qw-server"
			);
			program_doc_list ("QuakeForge 0.5", $program_list, "quakeforge");
		?></TD>
	</TR>

	<TR vAlign="top">
		<TD><?
			$program_list = array (
				"qf-client-3dfx",
				"qf-client-ggi",
				"qf-client-glx",
				"qf-client-mgl",
				"qf-client-sdl",
				"qf-client-sgl",
				"qf-client-svga",
				"qf-client-wgl",
				"qf-client-x11",
				"qf-server"
			);

			program_doc_list ("QuakeForge 0.3", $program_list, "");
		?></TD>
	</TR>
</TABLE>

<?
	require("parts/postamble.php"); 	// Finish this sucker up
?>
